<?php
	
	namespace Medianet\Pay\Model;
	
	use Magento\Checkout\Model\ConfigProviderInterface;
	use Magento\ImportExport\Test\Unit\Model\Import\Entity\EavAbstractTest;
	use Medianet\Pay\Controller\PaymentController;
	class CustomConfigProvider implements ConfigProviderInterface {
		/**
		 * {@inheritdoc}
		 */
		protected $_scopeConfig;
		public function __construct(
			\Magento\Framework\App\Helper\Context $context,
			\Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
			PaymentController $medianet,
			\Magento\Store\Api\Data\StoreInterface $store
		)
		{
		    $this->_scopeConfig = $scopeConfig;
		    $this->medianet = $medianet;
		    $this->store = $store;
			
		}
		
		
		
		public function getConfig() {
			$storeScope = \Magento\Store\Model\ScopeInterface::SCOPE_STORE;
			$config = [
				'payment' => [
					'Medianet' => [
						/*'elp_title'=> $this->_scopeConfig->getValue('payment/enlineapagos/ELP_title',$storeScope),
						'elp_description'=> $this->_scopeConfig->getValue('payment/enlineapagos/ELP_description',$storeScope),
						'elp_merchant'=> $this->_scopeConfig->getValue('payment/enlineapagos/ELP_merchant',$storeScope),
						'elp_key'=> $this->_scopeConfig->getValue('payment/enlineapagos/ELP_key',$storeScope),
						'elp_public_key'=> $this->_scopeConfig->getValue('payment/enlineapagos/ELP_public_key',$storeScope),
						'elp_callback'=> $this->_scopeConfig->getValue('payment/enlineapagos/ELP_callback',$storeScope),
						'elp_test'=> $this->_scopeConfig->getValue('payment/enlineapagos/ELP_test',$storeScope),*/
						'medianet_title'=> $this->_scopeConfig->getValue('payment/medianet/Medianet_title',$storeScope),
						'medianet_token'=> $this->_scopeConfig->getValue('payment/medianet/Medianet_token',$storeScope),
						'medianet_user'=> $this->_scopeConfig->getValue('payment/medianet/Medianet_user',$storeScope),
						'vertical_cs'=> $this->_scopeConfig->getValue('payment/medianet/vertical_cs',$storeScope),
						'responseAction'=>$this->medianet->responseAction(),
						'getOrderId'=>$this->medianet->getOrderId(),
						'language'=>$this->getLanguage()
						
					]
				]
			];
			return $config;
		}
		
		
		public function getLanguage(){
			$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
			$store = $objectManager->get('Magento\Framework\Locale\Resolver');
			
			return $store->getLocale();
		}
	}